package ru.yandex.wmconsole.data.info;

/**
 * Created by IntelliJ IDEA.
* User: senin
* Date: 22.03.2007
* Time: 21:43:03
*/
public class ErrorCountInfo {
    private final Integer realCount;

    private final Integer shownCount;

    public ErrorCountInfo(Integer realCount, Integer shownCount) {
        this.realCount = realCount;
        this.shownCount = shownCount;
    }

    public Integer getRealCount() {
        return realCount;
    }

    public Integer getShownCount() {
        return shownCount;
    }

    public boolean isErrorCountLimitExceeded() {
        return realCount > shownCount;
    }
}
